## imp-20260221.develop.fa39da1794.tar.gz

=== modules/bff/CMakeLists.txt ===
# Are we running cmake from this directory (out of tree build) ?
if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  set (CMAKE_CXX_STANDARD 14)
  set(CMAKE_OSX_ARCHITECTURES "x86_64")

  cmake_minimum_required(VERSION 2.8.12)
  project(imp_module)

  # Default Python3_FIND_STRATEGY to LOCATION
  if(POLICY CMP0094)
    cmake_policy(SET CMP0094 NEW)
  endif(POLICY CMP0094)
  cmake_policy(SET CMP0058 NEW)

  # Use new-style variables/escapes
  if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
  endif(POLICY CMP0053)

  # Quiet warning from cmake 3.1 or later about quoted variables in if()
  if(POLICY CMP0054)
    cmake_policy(SET CMP0054 NEW)
  endif(POLICY CMP0054)

  # Honor link flags in try_compile() tests
  if(POLICY CMP0056)
    cmake_policy(SET CMP0056 NEW)
  endif(POLICY CMP0056)

  SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR}/tools)
  SET(SWIG_EXECUTABLE swig CACHE STRING "Swig program")

  IF(APPLE)

    FIND_PACKAGE(Threads)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pthread")

    # compatibility with older systems
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mmacosx-version-min=10.13")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.13")
    SET(CMAKE_LFLAGS "${CMAKE_LFLAGS} -mmacosx-version-min=10.13")

    # explicit link to libc++ for recent osx versions
    MESSAGE(STATUS "Explicitly link to libc++ on modern osx versions")
    ADD_DEFINITIONS(-stdlib=libc++)

    # Don't set MACOSX_RPATH by default
    # https://github.com/conda/conda/issues/3624
    if(DEFINED ENV{CONDA_PREFIX})
      SET(MACOSX_RPATH OFF)
      SET(CMAKE_SKIP_RPATH TRUE)
      SET(CMAKE_SKIP_INSTALL_RPATH TRUE)
    endif()

    # Don't set MACOSX_RPATH by default
    SET(CMAKE_MACOSX_RPATH 0)
  ENDIF(APPLE)

  # IMP
  ###########################
  FIND_PACKAGE(IMP REQUIRED)
  MESSAGE ("-- IMP_USE_FILE \"${IMP_USE_FILE}\"")
  MESSAGE ("-- IMP_INCLUDE_DIR \"${IMP_INCLUDE_DIR}\"")
  INCLUDE(${IMP_USE_FILE})
  INCLUDE_DIRECTORIES(SYSTEM ${IMP_INCLUDE_DIR})
  INCLUDE_DIRECTORIES("${CMAKE_BINARY_DIR}/include")

  enable_testing()

  SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

  imp_build_module(${CMAKE_SOURCE_DIR} bff)

else()
  INCLUDE(ModuleBuild.cmake)
endif()

=== modules/core/dependency/python-ihm/util/debian/changelog ===
python-ihm (2.8-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.8 release

 -- Ben Webb <benmwebb@gmail.com>  Fri, 12 Dec 2025 10:14:34 -0800

python-ihm (2.7-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.7 release

 -- Ben Webb <benmwebb@gmail.com>  Mon, 07 Jul 2025 18:13:05 -0700

python-ihm (2.6-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.6 release

 -- Ben Webb <benmwebb@gmail.com>  Mon, 09 Jun 2025 15:40:14 -0700

python-ihm (2.5-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.5 release

 -- Ben Webb <benmwebb@gmail.com>  Fri, 25 Apr 2025 20:41:22 -0700

python-ihm (2.4-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.4 release

 -- Ben Webb <benmwebb@gmail.com>  Tue, 25 Mar 2025 20:31:19 -0700

python-ihm (2.3-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.3 release

 -- Ben Webb <benmwebb@gmail.com>  Thu, 13 Mar 2025 19:57:57 -0700

python-ihm (2.2-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.2 release

 -- Ben Webb <benmwebb@gmail.com>  Thu, 13 Feb 2025 20:24:55 -0800

python-ihm (2.1-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.1 release

 -- Ben Webb <benmwebb@gmail.com>  Wed, 12 Feb 2025 22:11:51 -0800

python-ihm (2.0-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 2.0 release

 -- Ben Webb <benmwebb@gmail.com>  Tue, 11 Feb 2025 16:49:02 -0800

python-ihm (1.8-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.8 release

 -- Ben Webb <benmwebb@gmail.com>  Tue, 26 Nov 2024 22:00:07 -0800

python-ihm (1.7-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.7 release

 -- Ben Webb <benmwebb@gmail.com>  Tue, 22 Oct 2024 23:02:03 -0700

python-ihm (1.6-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.6 release

 -- Ben Webb <benmwebb@gmail.com>  Fri, 27 Sep 2024 10:55:45 -0700

python-ihm (1.5-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.5 release

 -- Ben Webb <benmwebb@gmail.com>  Fri, 06 Sep 2024 14:15:12 -0700

python-ihm (1.4-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.4 release

 -- Ben Webb <benmwebb@gmail.com>  Fri, 30 Aug 2024 15:27:15 -0700

python-ihm (1.3-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.3 release

 -- Ben Webb <benmwebb@gmail.com>  Tue, 16 Jul 2024 10:37:13 -0700

python-ihm (1.2-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.2 release

 -- Ben Webb <benmwebb@gmail.com>  Wed, 12 Jun 2024 11:35:25 -0700

python-ihm (1.1-1~@CODENAME@) @CODENAME@; urgency=low

  * python-ihm 1.1 release

 -- Ben Webb <benmwebb@gmail.com>  Thu, 09 May 2024 12:44:51 -0700

python-ihm (1.0-1~@CODENAME@) @CODENAME@; urgency=low

  * Initial .deb release

 -- Ben Webb <benmwebb@gmail.com>  Thu, 07 Mar 2024 00:19:35 +0000

=== modules/core/dependency/python-ihm/util/debian/control ===
Source: python-ihm
Priority: optional
Maintainer: Ben Webb <benmwebb@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/ihmwg/python-ihm
Vcs-Browser: https://github.com/ihmwg/python-ihm

Package: python3-ihm
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-msgpack
Description: Package for handling IHM mmCIF and BinaryCIF files
  This is a Python package to assist in handling mmCIF and BinaryCIF files
  compliant with the integrative/hybrid modeling (IHM) extension.
